
libname t '.';

data temp;
 set t.tomhs;
 if group = 6 then active=2; else active=1;

 array se{20} se12_1 - se12_20;
 do i = 1 to 20;
  if se{i} in(2,3,4) then se{i} = 1; else 
  if se{i} = 1 then se{i} = 0;
 end;

run;

%let se = se12_1 se12_2 se12_3 se12_4 se12_5 se12_6 se12_7 se12_8 se12_9 se12_10
          se12_11 se12_12 se12_13 se12_14 se12_15 se12_16 se12_17 se12_18 se12_19 se12_20;

%breakdn(data=temp, class=active 2, var=se12_1, out=out0);
%breakdn(data=temp, class=active 2, var=&se, out=out1);

%fisherp(data=temp, dlist=&se, group=active,out=p);


%wreport(htmlfile = "&pname..htm");
%colset (20 11 11 2x 11);

%move('<br>Example 2. Reported Side Effects at 12-Months for Active and Placebo Groups in TOMHS<br>&nbsp', col=1-0,
      line=1, fontsize=11pt,fontweight=bold);
%move("pn=&pname rundate=&sysdate9", col=1-0, line=100, center=2);
%move('<u><b>Notes&#58;</b></u> &nbsp Values in table are number with condition (percent). '
      'P-values based on Fishers exact test',
      col=1-0, line=92, center=2);
%move('Active Group':'Placebo Group':'P-Value', col=2.0, line=9, fontweight=bold);

%move('Condition', col=1, center=2, line=9, fontweight=bold, fontstyle=italic);

%move('Number of Participants', col=1, center=2, line=52, fontweight=bold, fontstyle=italic);
%move('Drowsiness':'Tiredness':'Faintness':'Itchy Skin':'Skin Rash':
      'Headaches':'Ringing in Ears':'Stuffy Nose':'Dry Mouth':'Cough':
      'Fast Heart Rate':'Chest Pain':'Joint Pain':'Swelling Feet':'Muscle Cramps':
      'Numbness':'Trouble Sleeping':'Waking up Early':'Mood Changes':'Depressed',
      col=1, center=2, indent=1, line=12L5 22L5 32L5 42L5);

set out0;
%nmove(n1-n2, col=2 3, line=52, fmt=5.0, fontweight=bold);
set out1;
%nmove(sum1-sum40 m1-m40, col=2 3, line=12L5 22L5 32L5 42L5, combine=y, fchar=2P, fmt=5.0 5.1, scaler=1 100);

set p;
%nmove(p1-p20, col=4, fmt=6.0, specfmt=pvalue6.3);

stop;
run;
%makehtml(width=650px);


