
libname t '.';

data temp;
 set t.tomhs;

 pulse12=2*pulse12;
 pulsebl=2*pulsebl;

 dbpd12 = dbp12 - dbpbl;
 sbpd12 = sbp12 - sbpbl;
 pulsed12 = pulse12 - pulsebl;
 wtd12 = wt12 - wtbl;

 chold12 = chol12 - cholbl;
 hdld12 = hdl12 - hdlbl;
 glucosd12 = glucos12 - glucosbl;
 potassd12 = potass12 - potassbl;

 %let change = dbpd12 sbpd12 pulsed12 wtd12 chold12 hdld12 glucosd12 potassd12;
run;

%breakdn(data=temp, class=group 6, var=dbpd12, out=out0);
%breakdn(data=temp, class=group 6, var=&change, out=out1);
%glmp(data=temp, class=group, dlist=&change, ilist=group, factor=group, pdata=p);

%wreport(htmlfile = "&pname..htm");
%colset (22 7 7 2x 7 7 2x 7 7 2x 7 7 2x 7 7 2x 7 7 2x 9);

%move('<br>Example 3. Change in Clinical and Laboratory Values at 12-Months by Group in TOMHS<br>&nbsp', col=1-0,
      line=1, fontsize=11pt,fontweight=bold);
%move("pn=&pname rundate=&sysdate9", col=1-0, line=100, center=2);
%move('<u><b>Notes&#58;</b></u> &nbsp P-values based on GLM' , col=1-0, line=92, center=2);
%move('Acebutolol':'Amlodipine':'Chlorthalidone':'Doxazosin':'Enalapril':'Placebo', 
       col=2-3 4-5 6-7 8-9 10-11 12-13, line=7, fontweight=bold);
%move('Mean':'SE', col=2.13, line=9, fontweight=bold);
%move('P (5df)', col=14);

%move('Clinical':'Laboratory', col=1, center=2, line=9 29, fontweight=bold, fontstyle=italic);
%move('Number of Participants', col=1, center=2, line=52, fontweight=bold, fontstyle=italic);

%move('&#916; Diastolic BP (mmHg)': 
      '&#916; Systolic BP (mmHg)': 
      '&#916; Pulse (b/min)': 
      '&#916; Weight (lb)': 
      '&#916; Total Cholesterol (mg/dl)': 
      '&#916; HDL Cholesterol (mg/dl)': 
      '&#916; Glucose (mg/dl)': 
      '&#916; Potassium (mg/dl)', 
      col=1, center=2, line=12L4 32L4, indent=1);

set out0;
%nmove(n1-n6, col=2-3 4-5 6-7 8-9 10-11 12-13, line=52, fmt=5.0, fontweight=bold);
set out1;
%nmove(m1-m48, col=2 4 6 8 10 12, line=12L4 32L4);
%nmove(se1-se48, col=3 5 7 9 11 13);

set p;
%nmove(p1-p8, col=14, fmt=6.0, specfmt=pvalue6.3);

stop;
run;
%makehtml(width=900px);


